Feature: Deposits

  Scenario: User has deposit funds and it does not show in balances
    Given a pending deposit of 10000 USD/2 for account1
    Then account1 has no balance

  Scenario: User deposit funds and it confirms
    Given a pending deposit of 10000 USD/2 for account1
    When update last transaction set status to settled
    Then account1 has balance of 10000 USD/2

  Scenario: User deposit funds and it fails
    Given a pending deposit of 10000 USD/2 for account1
    When update last transaction set status to failed
    Then account1 has no balance

  Scenario: User deposit funds and it confirms, then it reverts
    Given a pending deposit of 10000 USD/2 for account1
    When update last transaction set status to settled
    Then account1 has balance of 10000 USD/2
    Given a settled deposit of -10000 USD/2 for account1
    Then account1 has no balance

  Scenario: Negative deposit affects balance
    Given a pending deposit of 1000 USD/2 for account1
    When update last transaction set status to settled
    Then account1 has balance of 1000 USD/2
    Given a settled deposit of -10000 USD/2 for account1
    Then account1 has balance of -9000 USD/2
